Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575217 - [abrt] gjs: type_check_is_value_type_U(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: type_check_is_value_type_U(): gjs-console killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a48a46291f94807c93d19177e8a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 07:27 UTC by Clayton Diggs
Modified: 2019-05-28 22:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:24:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (77.00 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: core_backtrace (77.74 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: dso_list (14.64 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: environ (1.69 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: maps (59.25 KB, text/plain)
2018-05-05 07:27 UTC, Clayton Diggs
no flags Details
File: mountinfo (4.00 KB, text/plain)
2018-05-05 07:28 UTC, Clayton Diggs
no flags Details
File: open_fds (1.31 KB, text/plain)
2018-05-05 07:28 UTC, Clayton Diggs
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-05 07:28 UTC, Clayton Diggs
no flags Details
File: backtrace (120.11 KB, text/plain)
2018-09-12 18:46 UTC, Tyler Voll
no flags Details

Description Clayton Diggs 2018-05-05 07:27:43 UTC
Version-Release number of selected component:
gjs-1.52.2-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gjs-console
journald_cursor: s=5705bdf1079e4818ad535346599be358;i=1de11;b=f430d8bb7d48474f875515115fc31c69;m=1091ed610b;t=56b6813910674;x=78c91b948da4f8d7
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4172
 #1 g_type_check_value at gtype.c:4198
 #2 parse_border at gtkcssshorthandpropertyimpl.c:399
 #3 gtk_css_shorthand_property_parse_value at gtkcssshorthandproperty.c:133
 #4 parse_declaration at gtkcssprovider.c:1473
 #5 parse_declarations at gtkcssprovider.c:1583
 #6 parse_ruleset at gtkcssprovider.c:1615
 #7 parse_statement at gtkcssprovider.c:1644
 #8 parse_stylesheet at gtkcssprovider.c:1660
 #9 gtk_css_provider_load_internal at gtkcssprovider.c:1787

Comment 1 Clayton Diggs 2018-05-05 07:27:50 UTC
Created attachment 1431823 [details]
File: backtrace

Comment 2 Clayton Diggs 2018-05-05 07:27:51 UTC
Created attachment 1431824 [details]
File: cgroup

Comment 3 Clayton Diggs 2018-05-05 07:27:53 UTC
Created attachment 1431825 [details]
File: core_backtrace

Comment 4 Clayton Diggs 2018-05-05 07:27:54 UTC
Created attachment 1431826 [details]
File: cpuinfo

Comment 5 Clayton Diggs 2018-05-05 07:27:55 UTC
Created attachment 1431827 [details]
File: dso_list

Comment 6 Clayton Diggs 2018-05-05 07:27:56 UTC
Created attachment 1431828 [details]
File: environ

Comment 7 Clayton Diggs 2018-05-05 07:27:57 UTC
Created attachment 1431829 [details]
File: exploitable

Comment 8 Clayton Diggs 2018-05-05 07:27:58 UTC
Created attachment 1431830 [details]
File: limits

Comment 9 Clayton Diggs 2018-05-05 07:27:59 UTC
Created attachment 1431831 [details]
File: maps

Comment 10 Clayton Diggs 2018-05-05 07:28:00 UTC
Created attachment 1431832 [details]
File: mountinfo

Comment 11 Clayton Diggs 2018-05-05 07:28:01 UTC
Created attachment 1431833 [details]
File: open_fds

Comment 12 Clayton Diggs 2018-05-05 07:28:02 UTC
Created attachment 1431834 [details]
File: proc_pid_status

Comment 13 Tyler Voll 2018-09-12 18:46:35 UTC
Similar problem has been detected:

Tried to get the drop down terminal to appear, but it crashed instead..

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gjs /home/tux/.local/share/gnome-shell/extensions/drop-down-terminal@gs-extensions.zzrough.org/terminal.js /home/tux/.local/share/gnome-shell/extensions/drop-down-terminal@gs-extensions.zzrough.org
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gjs-console
journald_cursor: s=5e84c06e71ec47998adc15d150449c5e;i=31b4;b=2d474973e5344c779e5850e4e33f37d6;m=57cd01d83;t=575b0e37feeba;x=aeeefd78196fc3df
kernel:         4.17.19-200.fc28.x86_64
package:        gjs-1.52.3-1.fc28
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Tyler Voll 2018-09-12 18:46:39 UTC
Created attachment 1482814 [details]
File: backtrace

Comment 15 Ben Cotton 2019-05-02 20:56:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 22:24:41 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.